typedef struct Universe Universe;
typedef struct UserInfo UserInfo;

typedef struct Realm {
  char name[32];
  char master[32];
  ushort max;
  uvlong password;
  Universe* universe;
} Realm;

Realm* create_realm(UserInfo* table, char* uname, char* name);
Realm* parse_realm(char* cart, char* name);
Realm* find_realm(UserInfo* table, char* name);
void save_realm(char* cart, Realm* self);
void destroy_realm(Realm* self);
